
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>豆瓣的基础架构 / iVAN</title>

    <meta name="description" content="豆瓣的基础架构 本文根据InfoQ中文站对豆瓣洪强宁(@hongqn)的沟通交流整理而成.洪强宁介绍了豆瓣的架构和组件,并分享了豆瓣基础平台部的一些团队经验.文中截图来自洪强宁在2013年CTO俱乐部中的分享. 嘉宾介绍 洪强宁,豆瓣首席架构师.豆瓣第一位全职员工.清华毕业后,洪强宁一直做嵌入式系统.在2002年开始接触Python语言,从硬件工程师变为软件工程师,对一种语言在计算机底层如何工作有深入的理解. 架构 豆瓣整个基础架构可以粗略的分为在线和离线两大块.在线的部分和大部分网站类似:前面用LVS做HA,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">豆瓣的基础架构</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文根据InfoQ中文站对豆瓣洪强宁（@hongqn）的沟通交流整理而成。洪强宁介绍了豆瓣的架构和组件，并分享了豆瓣基础平台部的一些团队经验。文中截图来自洪强宁在2013年CTO俱乐部中的分享。</p>
<h3>嘉宾介绍</h3>
<p>洪强宁，豆瓣首席架构师。豆瓣第一位全职员工。清华毕业后，洪强宁一直做嵌入式系统。在2002年开始接触Python语言，从硬件工程师变为软件工程师，对一种语言在计算机底层如何工作有深入的理解。</p>
<h2>架构</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUk0MDU1Mjk1LTAuanBn.jpg"></p>
<p>豆瓣整个基础架构可以粗略的分为在线和离线两大块。在线的部分和大部分网站类似：前面用LVS做HA，用Nginx做反向代理，形成负载均衡的一层；应用层主要是做运算，将运算结果返回给前面的用户，DAE平台是这两年建起来的，现在大部分豆瓣的应用基本都跑在DAE上面了；应用后面的基础服务也跟其他网站差不多，MySQL、memcached、redis、beanstalkd，不一样的是NoSQL的选择——BeansDB，这是我们在几年前开源的KV数据库，也是国内比较早开源的KV数据库。</p>
<p>BeansDB项目可以说是一个简化版的AWS DynamoDB，该项目在2008年启动，2009年开源，第版使tokyo cabinet作为存储引擎，2010年使bitcask存储格式重写了存储引擎，性能更好。BeansDB对key做哈希运算找到节点来实现分布和冗余， 一个写操作会写好几个节点，而现在的配置是写三份读一份。BeansDB主要的特点是支持海量KV数据库——相比Redis这种支持几十个G到几百个G的内存KV数据库，BeansDB可以支持到上百T的数据。另外BeansDB最大的好处就是运维很简单，性能、可用性、扩容都很好，也实现了最终一致性。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUk0MDUzNVMtMS5qcGc=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-02 12:54:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e5%9f%ba%e7%a1%80/" title="基础">基础</a>, <a href="https://www.iamivan.net/tag/%e5%93%88%e5%b8%8c/" title="哈希">哈希</a>, <a href="https://www.iamivan.net/tag/%e8%bf%90%e7%ae%97/" title="运算">运算</a>, <a href="https://www.iamivan.net/tag/dae/" title="dae">dae</a>, <a href="https://www.iamivan.net/tag/%e8%b1%86%e7%93%a3/" title="豆瓣">豆瓣</a>, <a href="https://www.iamivan.net/tag/dynamodb/" title="dynamodb">dynamodb</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>豆瓣的基础架构的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKKoYb.html" rel="bookmark">【深喉解读】豆瓣网的基础架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[深喉解读]豆瓣网的基础架构 时间:2014-10-31 00:13 来源:InfoQ 作者:佚名 本文根据InfoQ中文站对豆瓣洪强宁(@hongqn)的沟通交流整理而成.洪强宁介绍了豆瓣的架构和组件,并分享了豆瓣基础平台部的一些团队经验.文中截图来自洪强宁在2013年CTO俱乐部中的分享. 嘉宾介绍 洪强宁,豆瓣首席架构师.豆瓣第一位全职员工.清华毕业后,洪强宁一直做嵌入式系统.在2002年开始接触Python语言,从硬件工程师变为软件工程师,对一种语言在计算机底层如何工作有 深入的理解.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNQKNdb.html" rel="bookmark">豆瓣首席架构师洪强宁 谈豆瓣网技术架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概要如何应对高并发.大访问量?如何保证数据的安全性以及数据库大吞吐量?在海量数据下,如何进行数据表变更?DoubanFS以及DoubanDB的特点以及技术实现?在QConBeijing2009期间,InfoQ中文站有幸采访了洪强宁,探讨了相关话题. 个人简介洪强宁,2002年毕业于清华大学,现任北京豆瓣互动科技有限公司首席架构师.洪强宁和他带领的技术团队致力于用技术改善人们的文化和生活品质,在网站架构.性能.可伸缩性上进行深入研究.豆瓣网曾获软件中国2006年度最佳技术应用网站. 关于会议QCo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5QBBp.html" rel="bookmark">Python中的线性优化，第 2 部分 在云中构建一个可扩展的基础架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 这个由三部分组成的系列文章的第 1 部分介绍了在 Python 中使用 Pyomo 库进行线性优化的 基础知识.现在我们将介绍如何扩展它.Python 缺乏真实的操作系统线程,该如何扩展它?本文将向您介绍 如何组合使用这些技术来创建一个实际的可扩展基础架构,该架构可用于构建一个 Pyomo Web 解决方案.我 们组合使用了一个单线程事件循环.一个 AMQP 服务器和工作线程流程来创建一个模式,利用该模式扩展一个 线性优化系统.该基础架构也适用于 Python 或 Ruby 中的许多通用计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VzwZ4Wp.html" rel="bookmark">无线网络基础架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从应用需求方面考虑,无线网络很适合学校的一些不易于网络布线的场所应用.现在大部分校园都建有有线局域网,如何对原有网络进一步扩充,使校园的每个角落都处在网络中,形成真正意义上的校园网?本文所要介绍的就是如何采用无线局域网技术来组建校园网. 无线网络基础架构 无线局域网(Wireless Local Area Network,简称WLAN)技术有蓝牙(Bluetooth).IEEE 802.11 系列.HiperLAN.HomeRF技术等.其中,目前得到广泛应用的技术是IEEE 802.11 系列.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXDllp.html" rel="bookmark">提高数据中心灵敏性的基础架构虚拟化技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当虚拟化作为降低成本及提高数据中心效率的一种手段出现,这种技术作为一种竞争工具就半途而废了.虚拟化不仅提供了真实的好处,如成本节省.服务器性能提高及最小化的存储要求,也给网络管理员管理数据中心环境提供了必要的灵活性.在本文中,TechTarget中国的特约作者George Crump将解释基础架构虚拟化为数据中心带来的灵活性. 在一家公司的竞争优势方面,数据中心效率是一个关键考虑事项,并且这个效率有时以&quot;时间到评级&quot;来表示.&quot;时间到评级&quot;用以测量数据中心实施.响应及			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyreYZp.html" rel="bookmark">Lync 2013部署过程：基础架构准备</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验环境全部采用的都是windows server2012标准版来部署 lync是基于微软的AD域来部署的,所以部署之前必须先架设AD域 这里预计准备9台虚拟机来部署服务端 192.168.1.*为内网网段 10.9.0.*为外网网段 这里记录一下自己搭建的过程,尽量把所需要的都截图出来,尽可能的详细, 必要的时候会进行相关的说明 在写好DNS记录以后,接着我们来准备基础架构 使用域管理员账号或授权的账号登陆服务器 打开lync2013安装程序,会提示安装C++2012 查看本栏目更多精彩内容:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91jYoM.html" rel="bookmark">为虚拟基础架构规划数据保护机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为一家中小型企业的IT管理人员,你恐怕已经听说过了虚拟化技术具有的种种优点.下一步就是,轻松处理好迁移至虚拟基础架构的工作,并且确保虚拟基础架构得到 有力保护. 首先,明白你要做哪些工作才能规划好虚拟基础架构,然后为此选择合适的数据保护机制,这点很重要.最重要的任务之一就是,确认并选择你的虚拟基 础架构当中的数据保护机制具有的功能及局限性. 为了简单化,本文给出的虚拟化平台以VMware ESX为例.除了最后一个步骤:确定合适的部署方法外,以下过程对微软Hyper-V.Virtual Iron			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4w40qp.html" rel="bookmark">Windows Server基础架构云参考架构：硬件之上的设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				综述 毫无疑问,移动互联网.社交网络.大数据和云计算已经成为IT发展的四个大的趋势.其中云计算又为前三个提供了一个理想的平台.今天不仅互联网公司,很多传统行业的大中型企业也在建设自己的私有云.本文旨在介绍一个基于Windows Server 2012和System Center 2012 SP1构建基础架构云其硬件部分的参考架构. 设计目标 从运维角度,整个架构应该易于扩展,从小到4个机柜至大到整个数据中心可以方便的进行扩展和容量规划. 从用户的角度,整个架构应该可以兼容不同的应用类型,比如对计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3oRx0b.html" rel="bookmark">共享基础架构平台优势分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  中小企业最初都是从部署一台服务器开始,之后再慢慢扩展至三台或者四台不同型号不同代别,甚至不同品牌的服务器.在这个过程中,他们还会安装网络交换机以连接这些服务器,以及不同的存储平台以保留其不断增长的数据.最终,出现了互操作问题,以及占用大量空间的各种设备,这些设备不仅连接杂乱,而且极难维护.如此混乱无绪的IT环境,导致企业很难推动业务增长.提升工作效率提升. 近几年,随着大数据和云计算带来融合趋势,各个厂商纷纷推出一体化整合产品方案.这种方案的含义是将多个信息技术(IT)组件进行融合,组成一个			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M07a0b.html" rel="bookmark" class="title">菜鸟学用Dreamweaver MX 2004行为&lpar;10&rpar;播放声音</a>
					<div>
						dreamweaver 本站原创内容,转载请注明出处网页教学网. 播放声音 使用&quot;播放声音&quot;动作来播放声音.例如,您可能要在每次鼠标指针滑过某个链接时播放一段声音效果,或在页载入时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRP9dz.html" rel="bookmark" class="title">写asp&period;net论坛时用的一个技巧</a>
					<div>
						asp.net|技巧   最近在写一个asp.net论坛,vb.net的 论坛基本写完了..我写代码时候用的一个方法和大家分享... 虽然简单,但是对于新手我觉得还是有一定的参考价值的... 大家知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW8W9p.html" rel="bookmark" class="title">Photoshop制作时尚打散背景</a>
					<div>
						  最终效果图 过程1:启动打开Photoshop软件,打开我们需要制作的背景图片 过程2:选中图片中的花朵ctrl+J复制新建一个图层,我们再新建一个图层填充白色,放到最下面一层,这里我们看看此时的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7Z30M.html" rel="bookmark" class="title">hotfixinstaller&period;exe是什么进程？</a>
					<div>
						关于HotFixInstaller进程是软件Microsoft Visual Studio (版本 2008) 由 Microsoft 发行的.所以电脑上装了这两个软件的,进程中应该会出现hotfix ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo79Xdb.html" rel="bookmark" class="title">Win 7却无法再识别U盘的解决办法</a>
					<div>
						  一次在Win7安全卸载U盘后重新插入,发现Win 7却无法再识别此U盘了.然后必须重启电脑才能再次识别,这是什么原因呢?下面就来解决这个问题: 首先在Windows 7桌面鼠标右击单击&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYREk5p.html" rel="bookmark" class="title">java System&period;loadLibrary&lpar;&amp;amp&semi;amp&semi;quot&semi;xx&amp;amp&semi;amp&semi;quot&semi;&rpar;&semi; ，如何加载类路径下的某个dll&comma; 现在有异常UnsatisfiedLinkError</a>
					<div>
						问题描述 用设置环境变量参数的方法可以 问题补充:niuzai 写道 解决方案 人家写的,那你就只好乖乖的放到你的JAVA_HOME/bin下面咯~ 你要想指定路径加载就System.load(加载d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmaPaz.html" rel="bookmark" class="title">C&num;访问pc access</a>
					<div>
						问题描述 哪位大侠有C#做的opc啊,给小弟发一个,opc服务端是pcaccess的!在下感激不尽啦!!!我的Email:bleachfirst@126.com 解决方案 解决方案二:该回复于2012 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P7Xop.html" rel="bookmark" class="title">Fibonacci数</a>
					<div>
						描述 无穷数列1,1,2,3,5,8,13,21,34,55...称为Fibonacci数列,它可以递归地定义为 F(n)=1 ...........(n=1或n=2) F(n)=F(n-1)+F(n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNxwnz.html" rel="bookmark" class="title">sharesdk-android使用shareSDK分享链接到微信</a>
					<div>
						问题描述 android使用shareSDK分享链接到微信 使用shareSDK分享时,我是要分享一个带图片和文字的链接,分享到微信朋友,QQ,QQ空间,都没有问题, 但是分享到朋友圈就变成了普通的图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwOewp.html" rel="bookmark" class="title">正则验证手机号和座机</a>
					<div>
						问题描述 正则验证手机号和座机 求一正则验证手机号和座机,其中座机可带区号或不带区号的8位或7位 解决方案 ^(d{3,4}-)d{7,8}$座机 ^1[3|4|5|7|8][0-9]d{8}$手机  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmmOAb.html" rel="bookmark" class="title">Oracle库中删除表出现问题，求助</a>
					<div>
						问题描述 Oracle库中删除表出现问题,求助 在Oracle数据库中删除了几张表,但之后查看的时候发现莫名奇妙的多了几张表,不知道是之前的表没有被删除自己改了个名字还是怎么回事.无解. 就是下面这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj32NM.html" rel="bookmark" class="title">Python中多线程的创建及基本调用方法&lowbar;python</a>
					<div>
						1. 多线程的作用简而言之,多线程是并行处理相互独立的子任务,从而大幅度提高整个任务的效率. 2. Python中的多线程相关模块和方法Python中提供几个用于多线程编程的模块,包括thread,t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA4yQM.html" rel="bookmark" class="title">对于百度K首页的一些抢救建议与措施&lowbar;网站应用</a>
					<div>
						相信很多人碰到首页被百度K了,当然有几种情况. 先例举下核桃知道的类似于百度K首页的情况: 1.一个月之内的新站,百度一直不收录首页,其它页面收录正常: 2.一个月以上的老站,百度以前收录正常,突然有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZawBz.html" rel="bookmark" class="title">图片站挺进首页优化</a>
					<div>
						摘要: 这是九月份接的一个单子,做企业seo最深的感受就是,没有最极品,只有更极品.许多企业网站程序极品.文章极品.seo知识为零...面对这样的情况,你所能做的就是接受,想办法 这是九月份接的一个单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL76w0M.html" rel="bookmark" class="title">时尚网站走秀网北京公司裁员主要业务移至深圳</a>
					<div>
						商报讯(记者 王晓然 刘一博)奢侈品B2C新一轮的洗牌期提前到来.有业内人士日前在微博上爆料称,走秀网(微博)北京分公司新年过后开始裁员,并将主要业务移师深圳总部. 记者从一位刚离职的走秀网员工处获悉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR0aWp.html" rel="bookmark" class="title">软件测试建模：Google ACC</a>
					<div>
						CC(Attributes Components Compatibilities)是Google测试团 队使用的一种建模方法,用来快速地建立产品的模型,以指导下一步的测试计划和设计.在Google内部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22aEQb.html" rel="bookmark" class="title">图片-firefox中 onclick&equals;&amp;amp&semi;amp&semi;quot&semi;pic&lpar;&rpar;&amp;amp&semi;amp&semi;quot&semi;怎么不能执行？</a>
					<div>
						问题描述 firefox中 onclick=&quot;pic()&quot;怎么不能执行? function pic() {if (!validateMode()) return; message. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeVY4M.html" rel="bookmark" class="title">无&period;project-在eclipse中检出没有&period;project文件的Android项目</a>
					<div>
						问题描述 在eclipse中检出没有.project文件的Android项目 在svn库中是这样的项目,应该怎么检出啊 解决方案 eclipse如何导入没有.project文件的Android项目an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjAEZM.html" rel="bookmark" class="title">微软透露计划Xbox游戏移植到HoloLens，《光晕》将有虚拟现实版</a>
					<div>
						早前微软在Win10发布会公开逆天发明全息虚拟现实眼镜&quot;HoloLens&quot;成了整个业界关注的焦点,而在2015游戏开发者大会上,亦是如此.日前,微软表示,他们正计划将Xbox游戏移 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkRZDM.html" rel="bookmark" class="title">北方国际上半年净利亏损近500万元</a>
					<div>
						网易财经7月26日讯 北方国际周一晚间在深交所发布了2010年半年报.2010年上半年,北方国际实现营业收入7.41亿元, 同比增长19.93%:营业利润亏损146.81万元.利润总额亏损146.15 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWgq3z.html" rel="bookmark" class="title">详解IOS图层转场动画&lowbar;IOS</a>
					<div>
						CAAnimation的子类,用于做转场动画,能够为层提供移出屏幕和移入屏幕的动画效果.iOS比Mac OS X的转场动画效果少一点 UINavigationController就是通过CATrans ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2vxWM.html" rel="bookmark" class="title">ios7中UIViewControllerBasedStatusBarAppearance作用详解&lowbar;IOS</a>
					<div>
						  ios7中UIViewControllerBasedStatusBarAppearance详解 在作iOS7的适配时,很多文章都会提到UIViewControllerBasedStatusBarA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7V1Kb.html" rel="bookmark" class="title">模拟javascript中的sort排序&lpar;简单实例&rpar;&lowbar;javascript技巧</a>
					<div>
						一.javascript中sort对数据进行排序的原理 sort() 方法对数组的元素做原地的排序,并返回这个数组. sort 可能不是稳定的.默认按照字符串的Unicode码位点排序; 语法:arr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NDK8z.html" rel="bookmark" class="title">jQuery自定义添加&amp;quot&semi;&dollar;&amp;quot&semi;与解决&amp;quot&semi;&dollar;&amp;quot&semi;冲突的方法&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery自定义添加&quot;$&quot;与解决&quot;$&quot;冲突的方法.分享给大家供大家参考.具体分析如下: 1.自定义添加$ 虽然jQuery很强大,但无论如何,j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL1ndM.html" rel="bookmark" class="title">这段代码为什么输不出图片，请问哪里有问题呢</a>
					<div>
						问题描述 test.jsp&lt;%@pagelanguage=&quot;java&quot;contentType=&quot;text/html;charset=GBK&quot;pageEnc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq22Ep.html" rel="bookmark" class="title">xml-java组装规定格式的XML &comma;写完之后不生效</a>
					<div>
						问题描述 java组装规定格式的XML ,写完之后不生效 ! 一张图是格式,一张图是我的代码 解决方案 这个xml没有问题 抱歉 我没打印出来 解决方案二: 没懂你什么意思... 解决方案三: 是不是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLrg6M.html" rel="bookmark" class="title">也聊老朋友：诺基亚的归来</a>
					<div>
						中国人办事喜欢挑选黄道吉日,特别在婚丧嫁娶.生意开张以及迎接故知这样的大事上.2017年5月18日,我们就迎来了一位大家熟悉的老朋友-诺基亚的回归:中国华信和诺基亚正式签署协议,将诺基亚中国区业务与上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenmZAb.html" rel="bookmark" class="title">中国移动互联网应用开发企业TOP50 10强&rdquo;前三甲</a>
					<div>
						4月18日,由上方网.长城会和CSDN共同举办的&quot;2011第七届中国移动互联网TOP50评选&quot;活动在北京国际会议中心举行了颁奖典礼.1000位中国移动互联网行业的高层领袖和行业精英 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqQrwb.html" rel="bookmark" class="title">中文段首不需要空两格</a>
					<div>
						首先要搞清楚&quot;空两格&quot;的意义是什么?段首空格表示段落重新开始,基本小学写作文都这么教的.但&quot;空两格&quot;真的就能清楚标示段落么?这个问题被放大到互联网上,尤其在对比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd3vqz.html" rel="bookmark" class="title">如家向携程增发5000万美元普通股</a>
					<div>
						美国东部时间5月21日6:00(北京时间5月21日晚间18:00)消息,如家(Nasdaq: HMIN)今天宣布,该公司已通过非公开配售方式向携程增发7,514,503普通股,总价为5000万美元,该 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.066 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
